#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
Точка входа для запуска телеграм-бота
"""

import os
from src.bot import main
from src.healthcheck import start_health_server

if __name__ == "__main__":
    # Запускаем healthcheck сервер в Docker-окружении
    if os.environ.get("DOCKER_ENV", "False").lower() == "true":
        start_health_server()
    
    # Запускаем основной бот
    main()
